# -*- coding:Latin-1 -*-
# MapCycle 
# Nicolous

import es
import os
import psyco
psyco.full()

info = es.AddonInfo()
info.name = "MapCycle"
info.version = "1.0"
info.author = "Nicolous"
info.url = "http://mattie.info/forums/"
info.description = "Generate a mapcycle.txt from your maps/ directory"
info.tags = "mapcycle;maps"

# ConVar publique pour tracer le script sur les moniteurs de serveur
es.ServerVar("mapcycle_version",info.version,"MapCycle : Version of the MapCycle script").makepublic()

# ConVar pour activer/dsactiver l'effet du script
mapcycle_activation = es.ServerVar("mapcycle_activation","1","MapCycle : 1 = activation, 0 = off")

def es_map_start(event_var):
    if bool(mapcycle_activation):
        try:
            mapcycle = open(os.getcwd() + "/cstrike/mapcycle.txt", "w")
            # rcupration de tous les fichiers du dossier maps/
            maps = os.listdir(os.getcwd() + "/cstrike/maps/")
            for bsp in maps:
                # sparation nom/extension de chaque fichier
                (nom, ext) = os.path.splitext(bsp)
                # on ne retient que les fichiers .bsp
                if ext == ".bsp":
                    # criture du nom de map dans le fichier mapcycle.txt
                    mapcycle.write(nom + "\n")
            mapcycle.close()
        # en cas d'erreur sur l'ouverture du fichier
        except IOError:
            es.dbgmsg(0,"MapCycle : Unable to write mapcycle.txt !")
